from bokeh.models import TextInput, CustomJS
from bokeh.models.widgets import MultiSelect, RadioButtonGroup
from bokeh.io import curdoc
from bokeh.layouts import column


userList = [('a', 'a'), ('b', 'b'), ('c', 'c')]
folderList = [('d', 'd'), ('e', 'e'), ('f', 'f')]
options = userList

s = MultiSelect(options=options, size=4, width=1000)
ti = TextInput(placeholder='Enter reference')
ti.callback = CustomJS(args=dict(x=options, s=s),
                       code="s.options = x.filter(i => i[0].toLowerCase().includes(cb_obj.value.toLowerCase()));console.log(x);")


def populateDropdown(attr, old, new):
  global options
  if new == 0:# Users
    options = userList

  else: # Folders
    options = folderList
  s.options = options
  ti.callback = CustomJS(args=dict(x=options, s=s),
                         code="s.options = x.filter(i => i[0].toLowerCase().includes(cb_obj.value.toLowerCase()));console.log(x);")


usersFoldersChoice = RadioButtonGroup(labels=["Users", "Folders"], active=0)
usersFoldersChoice.on_change('active', populateDropdown)

layout = column(usersFoldersChoice, ti, s)

curdoc().add_root(layout)

